
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于ISAPI Rewrite软件实现IIS图片防盗链方法_win服务器 / iVAN</title>

    <meta name="description" content="基于ISAPI Rewrite软件实现IIS图片防盗链方法_win服务器 下面的操作,可能引起用户的反感,如果访客想从你这个页面,保存个图片都是不能的,用户体验何在啊. 实施步骤: 1.下载比较出名的www.helicontech.com提供的ISAPI Rewrite软件的免费版本(免费版本虽然有一些功能上的限制,但是做防盗链足够了): http://www.isapirewrite.com/download/isapi_rwl_x86_0072.msi 2.设置软件安装目录的IIS_WGP组的读写权限(重要,如果不设置安装完后你的网站就会直接Service Una">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于ISAPI Rewrite软件实现IIS图片防盗链方法_win服务器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>下面的操作，可能引起用户的反感，如果访客想从你这个页面，保存个图片都是不能的，用户体验何在啊。</p>
<p>实施步骤： <br />　　1.下载比较出名的www.helicontech.com提供的ISAPI Rewrite软件的免费版本(免费版本虽然有一些功能上的限制，但是做防盗链足够了)： <br />　　http://www.isapirewrite.com/download/isapi_rwl_x86_0072.msi <br />　　2.设置软件安装目录的IIS_WGP组的读写权限(重要，如果不设置安装完后你的网站就会直接Service Unavailable，无法访问)。 <br />　　设置方法： <br />　　假如你的安装目录是D:Program FilesHeliconISAPI_Rewrite(默认安装目录是Program FilesHeliconISAPI_Rewrite，我们可以先建立)，右击ISAPI_Rewrite，选择“属性”-&gt;“安全”-&gt;“添加”-&gt;“高级”-&gt;“立即查找”，会找到一项IIS_WGP，双击添加，确定即可。然后选中这个组，点击“完全控制”，使其拥有读写权限。 <br />　　3.安装软件(安装过程中软件会重启iis)，安装目录选择上一步设置好权限的目录，安装完毕后打开控制面板里的Internet 信息服务，打开网站的属性对话框里面有一项“isapi筛选器”，点击“添加”，“筛选器名称”自己随便填写一个好理解的名字就可以，“可执行文件”项点击“浏览”，选择刚才安装的ISAPI_Rewrite的安装目录中的ISAPI_Rewrite.dll，确定即可。重启iis。 <br />　　4.修改安装目录中的httpd.ini文件(如果这个文件为“只读”属性，则去掉“只读”之后再修改) <br />　　添加：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　RewriteCond Host: ^(.+)$ <br />　　RewriteCond Referer: ^(?!http://\1.*).*$ <br />　　RewriteCond Referer: ^(?!http://.*.baidu.com|.*.google.com|.*googlebot.com|.*.jb51.net).*).*$ <br />　　RewriteRule ^(?!(/logo.gif|/2_files/logo_tg.gif)).*.(?:gif|jpg|jpeg|png)$ /block.gif [I,O,N]</p>
<p>　　解释说明： <br />　　a.上面规则第三行中的www.jb51.net为你网站的域名，请根据实际情况作出相应的修改，里面的baidu.com 和google.com是为了不阻止搜索引擎蜘蛛抓取图片。 <br />　　b.第四行中的/logo.gif和2_fies/logo_tg.gif为你的logo图片的地址，目的是允许别人友情链接使用你的logo，如果不需要可以去掉"(?!(/logo.gif|/2_files/logo_tg.gif))"。后面的gif jpg等等可以自己根据实际情况修改。 <br />　　另修改规则无需重启iis，只需要修改httpd.ini配置文件即可。</p>
<p><strong>以下是其它网友的相关文章 <br /></strong><br />利用isapi_rewrite可以实现类似于Apache的伪静态路径，利用其检查refer的功能我们还可以实现防盗链。该软件可以在 http://www.helicontech.com/download/下载，是一个共享软件，但是有一个LITE版本是免费的，基本上可以实现我们需要的功能。安装的步骤我就不详细说了，具体说说httpd.ini的设置。 <br />首先，必须要保证httpd.ini有可写权限，设置isapi_rewrite安装文件夹everyone具有可修改权限后，去除该文件的只读属性。 <br />httpd.ini默认设置如下: <br />RewriteCond Host: (.+) <br />RewriteCond Referer: (?!http://\\1.*).* <br />我们在它后面加上一句 <br />RewriteRule .*\\.(?:gif|jpg|png|exe|rar|zip) /block.gif [I,O] <br />即可实现gif/jpg/png/exe/rar/zip文件的防盗链，盗链页面显示的是/block.gif。block.gif是一个体积较少的图片文件，我们可以在上面打上自己网站的版权标志和防盗链声明。 <br />如果按照上面设置，则除本站以外的所有网站均不能使用这里的图片，如果要允许一些例外的网站比如google,baidu以及其它一些非营利性网站引用该怎么办呢？我们可以用如下正则表达式来实现 <br />RewriteCond Referer: (?!http://(?:www\\.liehuo\\.net|www\\.google\\.com|www\\.baidu\\.com)).+ <br />如果想允许所有google子站和baidu子站形如images.baidu.com,images.google.com等站则做如下设置： <br />RewriteCond Referer: (?!http://(?:*\\.liehuo\\.net|*\\.google\\.com|*\\.baidu\\.com)).+ <br />至此，一个相当有效的防盗链系统已经出来了，但如上设置有一个问题，如果浏览者浏览了盗链页面后访问本站页面，则被盗链图片的缓存会影响图片的正常显示。把 <br />RewriteRule .*\\.(?:gif|jpg|png|exe|rar|zip) /block.gif [I,O] <br />改为 <br />RewriteRule .*\\.(?:gif|jpg|png|exe|rar|zip) /block.gif [I,O,N] <br />方可。参数N的意思是重新从站点请求文件而不是从本地缓存读取。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:15:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/iis/" title="iis">iis</a>, <a href="https://www.iamivan.net/tag/rewrite/" title="rewrite">rewrite</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e7%89%87%e9%98%b2%e7%9b%97%e9%93%be/" title="图片防盗链">图片防盗链</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于ISAPI Rewrite软件实现IIS图片防盗链方法_win服务器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr27mVM.html" rel="bookmark">详解iis httpd&period;ini中IIS图片防盗链的方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.创建目录 e:Rewrite 把 Rewrite 下的四个文件(httpd.ini .httpd.parse.errors.mtbnotif.dll.Rewrite.dll)上传到这里. 二.设置IIS属性,选择网站属性,到ISAPI筛选器, 关闭属性对话框. 再次查看网站属性,到ISAPI筛选器 如果看到状态为向上的绿色箭头,就说明Rewrite模块安装成功了. 点添加,在名称中输入rewrite,可执行文件选择刚才解压后的文件Rewrite.dll,点确定:再点确定, 三.修改 e:Re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWv98z.html" rel="bookmark">iis httpd&period;ini中IIS图片防盗链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.创建目录 e:Rewrite 把 Rewrite 下的四个文件(httpd.ini .httpd.parse.errors.mtbnotif.dll.Rewrite.dll)上传到这里. 二.设置IIS属性,选择网站属性,到ISAPI筛选器, 关闭属性对话框. 再次查看网站属性,到ISAPI筛选器 如果看到状态为向上的绿色箭头,就说明Rewrite模块安装成功了. 点添加,在名称中输入rewrite,可执行文件选择刚才解压后的文件Rewrite.dll,点确定:再点确定, 三.修改 e:Re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYdm0Qb.html" rel="bookmark">iis图片防盗链和文件下载资源防盗链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 代码如下 复制代码 RewriteCond Host: (.+) RewriteCond Referer: (?!http://1.*).* RewriteRule .*.(?:gif|jpg|jpeg|png|bmp) /block.gif [I,O,N] 排除性防盗链写法,我们让baidu,google等搜索引擎可以显示我的们图片    代码如下 复制代码 RewriteCond Host: (.+) RewriteCond Referer: (?!http://1.*).* Rewrit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLYEGAz.html" rel="bookmark">Windows 2012 安装IIS和FTP的方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 相信微软的Windows Server 2012,对部分用户而言都是崭新的面孔,而关于其在服务器上应用的专业技术文档更是少之又少.         护卫神经过整理,逐步将新技术授予广大用户,希望对大家的发展添砖加瓦--言归正传,当前使用的是Windows Server 2012 R2/NT6.3/IIS8.5       1.打开Windows 2012的服务器管理器,选择 管理→添加角色和功能       2.进入 添加角色和功能向导,选择 &quot;Web服务器(IIS)&quot;      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvm3VVb.html" rel="bookmark">PHP在64位Win2003和IIS下运行设置方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP在64位Windows2003和IIS下运行 首先将IIS由64位模式修改为32位模式,只要一个命令即可: cscript %SYSTEMDRIVE%\inetpub\adminscripts\adsutil.vbs SET W3SVC/AppPools/Enable32bitAppOnWin64 1 恢复为64位模式的命令: cscript %SYSTEMDRIVE%\inetpub\adminscripts\adsutil.vbs SET W3SVC/AppPools/Enable32			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNB7Zp.html" rel="bookmark">Apahce下&period;htaccess 重定向 301 302及图片防盗链规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让[.htaccess]文件生效 在windows2003环境下如何配置apache支持.htaccess呢?很简单,方法如下: 一.在Apache配置文件httpd.conf中找到#LoadModule rewrite_module modules/mod_rewrite.so,去掉前面的&quot;#&quot;号保存. 二.配置虚拟主机文件httpd-vhosts.conf,重点颜色突出出.  代码如下 复制代码 &lt;Directory &quot;网站目录&quot;&gt; Options			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk5oE1b.html" rel="bookmark">Apache图片防盗链配置方法介绍&lpar;可用&period;htaccess&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图片防盗链配置规则很简单 RewriteRule .*.(gif|jpg|swf|png) 说明一下其中的R.NC 和 L R 就是转向的意思 NC 指的是不区分大小写 L 的作用是指明本次转向到此结束,后续的转向不受先前判断语句的影响 5.防止 盗链的文件类型 上例中是 gif.jpg.png,而根据须要 ,可修改 或添加其他文件类型,如rar.mov等,不同文件扩展名间运用 &quot;&quot;分割. 使用 rewrite 技术实现 Apache 防盗链 Apache 防盗链的第一种实现方法,可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4JvRjM.html" rel="bookmark">iis 与apache防盗链方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前有一种产品能比较好地支持iis的urlrewrite,名字叫isapi_rewrite. 对于我的网站,我防盗链的方法是在httpd.ini里面加入如下语句 rewritecond host: (.+) rewritecond referer: (?!http://1.*).* rewriterule .*.(?:gif|jpg|png|exe|rar|zip) /block.gif [i,   o] 修改安装目录中的httpd.ini文件(如果这个文件为&quot;只读&quot;属性,则去掉&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RrJ3b.html" rel="bookmark">nginx图片防盗链几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般的防盗链如下: 全站图片防盗链 在/usr/local/nginx/conf/nginx.conf文件要添加防盗链的server段里添加下面的代码:  代码如下 复制代码 location ~* .(gif|jpg|png|swf|flv)$ { valid_referers none blocked www.111cn.net ; if ($invalid_referer) { rewrite ^/ http://www.111cn.net; #return 404; } } 第一行:gi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQNZwM.html" rel="bookmark" class="title">win8应用商店打不开的解决办法</a>
					<div>
						  Windws8在操作系统时,我们会经常遇到,因更改变化其它浏览器导致应用商店无法连接,网络显示连接良好但就是连接不上应用商店,到底是什么原因呢?针对这一问题我们应对了具体的解决方法. 下面就是针对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgR53b.html" rel="bookmark" class="title">配置-求助，SSH整合后拦截器不起作用</a>
					<div>
						问题描述 求助,SSH整合后拦截器不起作用 struts.xml配置如下 &lt;interceptors&gt; &lt;interceptor name=&quot;loginIntercepto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6aVLb.html" rel="bookmark" class="title">XML Litmus 测试</a>
					<div>
						xml Dare Obasanjo 提供了一些简单的指南,用于确定 XML 作为适当的技术何时用于软件应用程序或架构设计中. 点击此处阅读全文					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmPB7M.html" rel="bookmark" class="title">asp上传</a>
					<div>
						上传 &lt;%'判断是否添加了文件Dim ulFileName, ulResult ulSaveToPath=&quot;/upload&quot; '保存文件路径ulMaxFileSize = 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnJD0p.html" rel="bookmark" class="title">C＃处理鼠标和键盘事件</a>
					<div>
						在程序运行中,产生事件的主体有很多,其中尤其以键盘和鼠标为最多.本文就来探讨一下在C#中和这二个主体相关的事件的处理过程. 一．本文介绍的程序设计和运行的软件环境: (1).微软公司视窗2000服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b34owM.html" rel="bookmark" class="title">博客外链要怎么做才能实现高质量</a>
					<div>
						博客外链是我们最为常见.做的最多的外链,但是笔者看到太多的关于SEO人员对于博客外链的理解太过于简单,而致于对于博客外链走向误区.到最后以致于花了大量的时间而没能收到预期的效果,白白的浪费了时间和精力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7GaAM.html" rel="bookmark" class="title">Python&lowbar;文件对象类型及其读写函数详解</a>
					<div>
						软件环境 系统  UbuntuKylin 14.01 软件  Python 2.7.3 IPython 4.0.0 file()文件对象 file(name[, mode[, buffering]]) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGwmap.html" rel="bookmark" class="title">苹果HomeKit如何牵动国内智能硬件格局？</a>
					<div>
						        苹果在6月的WWDC开发者大会上发布了包括Home Kit,Health Kit,Cloud Kit等一系列重量级的开发框架.其中HomeKit的发布对现在火热的国内外智能家居市场有重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq1A3b.html" rel="bookmark" class="title">【AI手机三国杀】三星Bixby闯入战场，AI功能集成颠覆人机交互</a>
					<div>
						受三星电子中国研究院邀请,新智元昨天走访研究院,了解三星的人工智能,并抢先体验了三星主推的AI技术--三星Bixby中文版部分功能.Bixby实现了对手机的多模态智能操控,以Bixby Vision. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRPn6z.html" rel="bookmark" class="title">神秘病毒现形 网购当心黑客&OpenCurlyDoubleQuote;点杀&rdquo;</a>
					<div>
						 网购遭遇电脑病毒骗钱的受害者在电脑 C 盘揪出病毒,是一个以 rar 结尾的压缩文件     共同点     接受过疑似木马病毒的东西,以及最后查询到钱都进了上海的同一家游戏公司     新病毒   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrP55M.html" rel="bookmark" class="title">全相位FFT matlab编程实现</a>
					<div>
						问题描述 全相位FFT matlab编程实现 求大神指教!&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWBwWp.html" rel="bookmark" class="title">Linux简介</a>
					<div>
						Linux简介 Linux简介 严格的来讲,Linux 不算是一个操作系统,只是一个 Linux 系统中的内核,即计算机软件与硬件通讯之间的平台:Linux的全称是GNU/Linux,这才算是一个真正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWN7Ez.html" rel="bookmark" class="title">英特尔资助攒机店打开高端电脑配件销售市场</a>
					<div>
						英特尔资助的攒机店&quot;至尊地带&quot;正在引领台式机走向高端,这为传统攒机商找到了一个出路,也为英特尔的高端电脑配件销售打开了市场. 文|CBN记者 陈旭 图|林舒 2007年底的一天,王 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKo1Db.html" rel="bookmark" class="title">微软爱上 Linux：当 PowerShell 来到 Linux 时</a>
					<div>
						在微软爱上 Linux 之后,PowerShell 这个原本只是 Windows 才能使用的组件,于 2016 年 8 月 18 日开源并且成为跨平台软件,登陆了 Linux 和 macOS. Pow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRl1wb.html" rel="bookmark" class="title">ActiveMQ - Clustering&comma;Features&comma;Wildcards</a>
					<div>
						关键字: Clustering 2．5 Clustering     ActiveMQ从多种不同的方面提供了集群的支持. 2．5．1 Queue consumer clusters     Activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqX6Wz.html" rel="bookmark" class="title">美拍怎么拍短视频 美拍60秒视频怎么拍&quest;</a>
					<div>
						1,我们首先保证自己安装在手机中的美拍是最新版本了,否则我们可以先升级美拍然后再操作了,现在我们打开美拍,然后我们点击页面中下方的按钮开始进行拍摄. 2,在我们点击拍摄按钮之后在打开界面有一个10s的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXA49b.html" rel="bookmark" class="title">【文档】OSC 众包平台为什么需要实名认证？</a>
					<div>
						&quot;这钱都还没赚着,就要我实名认证,个人隐私咋办?&quot;, OSC众包平台上线没多久,已经收到部分用户的反馈,如果您也有同样的想法,我可以很负责任地告诉您,您不是最孤单的那一个. 自收到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NEAxb.html" rel="bookmark" class="title">PHP5中GD库生成图形验证码&lpar;有汉字&rpar;&lowbar;php实例</a>
					<div>
						利用PHP5中GD库生成图形验证码   类似于下面这样 1.利用GD库函数生成图片,并在图片上写指定字符 imagecreatetruecolor 新建一个真彩色图像 imagecoloralloca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY6gVb.html" rel="bookmark" class="title">Java Web项目中验证码功能的制作攻略&lowbar;java</a>
					<div>
						一.前言在表单页面中使用验证码的好处在于有效防止用户恶意提交表单,或者使用外挂非法攻击系统. 二.准备条件1.一个普通的web项目 webProject: 2.一个web服务器 Tomcat. 三.实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QkV7p.html" rel="bookmark" class="title">jQuery取得iframe中元素的常用方法详解&lowbar;jquery</a>
					<div>
						本文实例分析了jQuery取得iframe中元素的常用方法.分享给大家供大家参考,具体如下: jquery取得iframe中元素的几种方法: 在iframe子页面获取父页面元素 代码如下: 复制代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVyX7z.html" rel="bookmark" class="title">js 按照指定间隔 向字符串中插入随机字符串的实现代码&lowbar;javascript技巧</a>
					<div>
						[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmr8Dp.html" rel="bookmark" class="title">基于JavaScript实现树形下拉框&lowbar;javascript技巧</a>
					<div>
						平时会经常遇到树形结构的问题,比如显示目录结构等. 大多数情况下后台会返回这样的数据,如下: [ { id: 19, pid: 0, name: 'nodejs' }, { id: 20, pid:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR10Rqb.html" rel="bookmark" class="title">ubuntu 下安装apache 和php 的问题</a>
					<div>
						问题描述 我在ubuntu下安装apache和php后,进行测试,首先输入-# /usr/local/apache2/bin/apachectl restart输入完后无任何提示(不知道apache是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QG66p.html" rel="bookmark" class="title">队伍准备出去封闭式开发。请问那位有经验兄弟知道北京那有环境好点的地方推荐吗</a>
					<div>
						问题描述 队伍准备出去封闭式开发.请问那位有经验兄弟知道北京那有环境好点的地方推荐吗要求环境清净.吃穿住方便 解决方案 解决方案二:ding解决方案三:监狱解决方案四:我有朋友在搞农家院要不要联系去他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWv78p.html" rel="bookmark" class="title">纽约时报刊文还原MH370失联前后情景</a>
					<div>
						马航25日中午在吉隆坡举行记者会,介绍支持家属的相关措施,马航CEO表示,飞机已经丢失,机上的机组人员和乘客无人生还,这是我们需要面对和接受的一个现实.我们将把工作重心放在支持家属上,给他们提供全面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvDw6M.html" rel="bookmark" class="title">css知多少（9）&mdash;&mdash;float下篇</a>
					<div>
						原文:css知多少(9)--float下篇 float内容比较多,咱们分上.下两篇来介绍,上篇已经写完,这是下篇.建议大家先把上篇看了,再来看下文,精彩内容不要掠过啊. 1. 清除float &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlArgOp.html" rel="bookmark" class="title">语不惊人誓不休 黄允松QingCloud Insight语录</a>
					<div>
						本文讲的是语不惊人誓不休 黄允松QingCloud Insight语录[IT168 评论]每当碰到黄允松的演讲,我总会提起精神多听一下,不是因为演讲内容有多吸引人,而是被他身上的那种自信所感染,如今虽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByllJz.html" rel="bookmark" class="title">RSA公钥的问题</a>
					<div>
						问题描述 从后台获取到的经过BASE64加密的RSA公钥,经过BASE64解码后,是一堆乱码,这个RSA公钥要怎么用啊?在网上查资料说RSA公钥一般都是按照(公钥+模值)一对来分发的,但是从解析出来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmA1ap.html" rel="bookmark" class="title">离不开手机到底是一种什么病？</a>
					<div>
						我拥有第一部手机大概是在十年前,那是一部天时达的滑盖手机,银白色,小巧秀气,很适合女孩子用.那时候的手机最常见的有直板.翻盖.滑盖几种样子,诺基亚的直板机比砖头还硬,用几年都不坏,打算尝试翻盖手机的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXgvXz.html" rel="bookmark" class="title">中国重汽在港发行27亿人民币企业债券</a>
					<div>
						认购金额达到68亿元人民币,为发行额的2.5倍,成为首家在港发行人民币企业债券的大型中资背景非金融企业 中国重汽(香港)有限公司(3808.HK,下称中国重汽)日前向机构投资者发行27亿元两年期的人民 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
